CustomDomain Docs
Templates

Build the one-click apply URL for a domain

Build the one-click apply URL for a domain: CustomDomain™ API reference in the templates group. Covers parameters, request body, responses and error codes.

POST
/templates/{serviceId}/apply-url

Path Parameters

serviceId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/templates/string/apply-url" \  -H "Content-Type: application/json" \  -d '{    "domain": "string",    "provider_base": "string"  }'
{  "apply_url": "http://example.com"}
{  "code": "string",  "title": "string",  "details": "string"}
{  "code": "string",  "title": "string",  "details": "string"}
{  "code": "string",  "title": "string",  "details": "string"}